Page MenuHomePhabricator

[MIPS][Disassembler][Test]Add missing disassembler tests for mips32 platform
ClosedPublic

Authored by vmedic on Dec 16 2014, 9:26 AM.

Details

Reviewers
dsanders
Summary

Add disassembler tests for mips32 platform. There are no functional changes.

Diff Detail

Event Timeline

vmedic updated this revision to Diff 17338.Dec 16 2014, 9:26 AM
vmedic retitled this revision from to [MIPS][Disassembler][Test]Add missing disassembler tests for mips32 platform.
vmedic updated this object.
vmedic edited the test plan for this revision. (Show Details)
vmedic added a reviewer: dsanders.
vmedic added a subscriber: Unknown Object (MLST).
dsanders edited edge metadata.Dec 17 2014, 8:50 AM

Please format valid-mips32{,el}.txt in the same way as valid-xfail-mips32.txt
Other than that, LGTM

vmedic updated this revision to Diff 18144.Jan 14 2015, 2:34 AM
vmedic edited edge metadata.

Format changed as suggested.

dsanders accepted this revision.Jan 28 2015, 7:54 AM
dsanders edited edge metadata.

Format changed as suggested.

You still have the double line-spacing in valid-mips32{,el}.txt. With that fixed, LGTM.

This revision is now accepted and ready to land.Jan 28 2015, 7:54 AM
vmedic closed this revision.Feb 25 2015, 3:20 AM

Committed r226408